/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CmResidenceTaxDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3269758042340276374L;
	
	// フィールド
	private String				kCode;										// 社員コード
	private Date				resExpectedDate;							// 住民税適用年
	private String				paymentCityCode;							// 納付先市町村コード
	private String				submitCityCode;							// 提出先市町村コード
	private int					juneAmount;								// 初回6月分
	private int					julyAmount;								// 7月分
	private int					augustAmount;								// 8月分
	private int					septemberAmount;							// 9月分
	private int					octoberAmount;								// 10月分
	private int					novemberAmount;							// 11月分
	private int					decemberAmount;							// 12月分
	private int					januaryAmount;								// 1月分
	private int					februaryAmount;							// 2月分
	private int					marchAmount;								// 3月分
	private int					aprilAmount;								// 4月分
	private int					mayAmount;									// 5月分
																			
	
	/**
	 * コンストラクタ
	 */
	public CmResidenceTaxDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getResExpectedDate() {
		return getDateField(resExpectedDate);
	} // 住民税適用年
	
	public String getPaymentCityCode() {
		return paymentCityCode;
	} // 納付先市町村コード
	
	public String getSubmitCityCode() {
		return submitCityCode;
	} // 提出先市町村コード
	
	public int getJuneAmount() {
		return juneAmount;
	} // 初回6月分
	
	public int getJulyAmount() {
		return julyAmount;
	} // 7月分
	
	public int getAugustAmount() {
		return augustAmount;
	} // 8月分
	
	public int getSeptemberAmount() {
		return septemberAmount;
	} // 9月分
	
	public int getOctoberAmount() {
		return octoberAmount;
	} // 10月分
	
	public int getNovemberAmount() {
		return novemberAmount;
	} // 11月分
	
	public int getDecemberAmount() {
		return decemberAmount;
	} // 12月分
	
	public int getJanuaryAmount() {
		return januaryAmount;
	} // 1月分
	
	public int getFebruaryAmount() {
		return februaryAmount;
	} // 2月分
	
	public int getMarchAmount() {
		return marchAmount;
	} // 3月分
	
	public int getAprilAmount() {
		return aprilAmount;
	} // 4月分
	
	public int getMayAmount() {
		return mayAmount;
	} // 5月分
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setResExpectedDate(Date resExpectedDate) {
		this.resExpectedDate = getDateField(resExpectedDate);
	} // 住民税適用年
	
	public void setPaymentCityCode(String paymentCityCode) {
		this.paymentCityCode = paymentCityCode;
	} // 納付先市町村コード
	
	public void setSubmitCityCode(String submitCityCode) {
		this.submitCityCode = submitCityCode;
	} // 提出先市町村コード
	
	public void setJuneAmount(int juneAmount) {
		this.juneAmount = juneAmount;
	} // 初回6月分
	
	public void setJulyAmount(int julyAmount) {
		this.julyAmount = julyAmount;
	} // 7月分
	
	public void setAugustAmount(int augustAmount) {
		this.augustAmount = augustAmount;
	} // 8月分
	
	public void setSeptemberAmount(int septemberAmount) {
		this.septemberAmount = septemberAmount;
	} // 9月分
	
	public void setOctoberAmount(int octoberAmount) {
		this.octoberAmount = octoberAmount;
	} // 10月分
	
	public void setNovemberAmount(int novemberAmount) {
		this.novemberAmount = novemberAmount;
	} // 11月分
	
	public void setDecemberAmount(int decemberAmount) {
		this.decemberAmount = decemberAmount;
	} // 12月分
	
	public void setJanuaryAmount(int januaryAmount) {
		this.januaryAmount = januaryAmount;
	} // 1月分
	
	public void setFebruaryAmount(int februaryAmount) {
		this.februaryAmount = februaryAmount;
	} // 2月分
	
	public void setMarchAmount(int marchAmount) {
		this.marchAmount = marchAmount;
	} // 3月分
	
	public void setAprilAmount(int aprilAmount) {
		this.aprilAmount = aprilAmount;
	} // 4月分
	
	public void setMayAmount(int mayAmount) {
		this.mayAmount = mayAmount;
	} // 5月分
	
}
